Subject: Re: bug#65183: 29.1; Child frame moving and resizing problems

From: martin rudalics <[email-masked]>
Date: Sat, 12 Aug 2023 09:00:46 +0200

> How is Emacs meant to establish when XMoveResizeWindow is desired?  We
 > don't have a function for altering both the size and position of a
 > frame.

We'd add a suitable front-end and leave it to users and package writers
whether they want to call it.  'mouse-drag-frame-resize' could profit
from it if we have 'modify-frame-parameters' detect whether both
top/left and width/height shall be changed in one and the same call.
Maybe by adding a set_window_size_and_offset_hook.

martin